Get Service Statistics - Get Service Statistics
Gets service level statistics for a search service.
GET {endpoint}/servicestats?api-version=2025-09-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
The endpoint URL of the search service. |
|
api-version
|
query | True |
string |
Client Api Version. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
The tracking ID sent with the request to help with debugging. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| Other Status Codes |
Error response. |
Examples
SearchServiceGetServiceStatistics
Sample request
GET https://stableexampleservice.search.windows.net/servicestats?api-version=2025-09-01
Sample response
{
"counters": {
"documentCount": {
"usage": 12
},
"indexesCount": {
"usage": 2,
"quota": 2
},
"indexersCount": {
"usage": 2,
"quota": 2
},
"dataSourcesCount": {
"usage": 2,
"quota": 2
},
"storageSize": {
"usage": 123456,
"quota": 10485760
},
"synonymMaps": {
"usage": 3,
"quota": 3
},
"skillsetCount": {
"usage": 2,
"quota": 2
},
"vectorIndexSize": {
"usage": 123456
}
},
"limits": {
"maxStoragePerIndex": 10485760,
"maxFieldsPerIndex": 1000,
"maxFieldNestingDepthPerIndex": 10,
"maxComplexCollectionFieldsPerIndex": 40,
"maxComplexObjectsInCollectionsPerDocument": 3000
}
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Resource |
Represents a resource's usage and quota. |
|
Service |
Represents service-level resource counters and quotas. |
|
Service |
Represents various service level limits. |
|
Service |
Response from a get service statistics request. If successful, it includes service level counters and limits. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ResourceCounter
Represents a resource's usage and quota.
| Name | Type | Description |
|---|---|---|
| quota |
integer (int64) |
The resource amount quota. |
| usage |
integer (int64) |
The resource usage amount. |
ServiceCounters
Represents service-level resource counters and quotas.
| Name | Type | Description |
|---|---|---|
| dataSourcesCount |
Total number of data sources. |
|
| documentCount |
Total number of documents across all indexes in the service. |
|
| indexersCount |
Total number of indexers. |
|
| indexesCount |
Total number of indexes. |
|
| skillsetCount |
Total number of skillsets. |
|
| storageSize |
Total size of used storage in bytes. |
|
| synonymMaps |
Total number of synonym maps. |
|
| vectorIndexSize |
Total memory consumption of all vector indexes within the service, in bytes. |
ServiceLimits
Represents various service level limits.
| Name | Type | Description |
|---|---|---|
| maxComplexCollectionFieldsPerIndex |
integer (int32) |
The maximum number of fields of type Collection(Edm.ComplexType) allowed in an index. |
| maxComplexObjectsInCollectionsPerDocument |
integer (int32) |
The maximum number of objects in complex collections allowed per document. |
| maxFieldNestingDepthPerIndex |
integer (int32) |
The maximum depth which you can nest sub-fields in an index, including the top-level complex field. For example, a/b/c has a nesting depth of 3. |
| maxFieldsPerIndex |
integer (int32) |
The maximum allowed fields per index. |
| maxStoragePerIndex |
integer (int64) |
The maximum amount of storage in bytes allowed per index. |
ServiceStatistics
Response from a get service statistics request. If successful, it includes service level counters and limits.
| Name | Type | Description |
|---|---|---|
| counters |
Service level resource counters. |
|
| limits |
Service level general limits. |